summaryrefslogtreecommitdiff
path: root/deploy-static
diff options
context:
space:
mode:
authorDaniel Micay <danielmicay@gmail.com>2021-07-08 04:33:12 -0400
committerDaniel Micay <danielmicay@gmail.com>2021-07-08 04:33:12 -0400
commit7329d664bb4dd4ad5b0aa9cf0cf9caef410199bf (patch)
treec542a31d60df374a9cc74e38b434e450f83cd4af /deploy-static
parent671c9b65704d05a2d5c19442c426ecb6e39ef7d5 (diff)
rename scripts
Diffstat (limited to 'deploy-static')
-rwxr-xr-xdeploy-static34
1 files changed, 34 insertions, 0 deletions
diff --git a/deploy-static b/deploy-static
new file mode 100755
index 00000000..a48a4b9c
--- /dev/null
+++ b/deploy-static
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+set -o errexit -o nounset -o pipefail
+
+./validate-static
+./process-static
+
+remote=root@grapheneos.org
+active=$(ssh $remote readlink /srv/grapheneos.org)
+
+if [[ $active = /srv/grapheneos.org_a ]]; then
+ target=/srv/grapheneos.org_b
+else
+ target=/srv/grapheneos.org_a
+fi
+
+echo active is $active
+echo target is $target
+echo
+
+ssh $remote rm -rf $target
+ssh $remote cp -a $active $target
+rsync -rpcv --chmod=D755,F644 --delete static_tmp/ $remote:$target
+ssh $remote sync -f $target
+ssh $remote ln -snf $target /srv/grapheneos.org
+ssh $remote sync .
+
+sed -i "s|/srv/grapheneos.org|$target|" nginx.conf.tmp
+rsync -rpcv --chmod=D755,F644 --delete nginx.conf.tmp $remote:/etc/nginx/nginx.conf
+ssh $remote sync -f /etc/nginx/nginx.conf
+ssh $remote nginx -s reload
+
+echo
+echo active is now $target